Summary:        Different scripts (for distros based on MagicOS)
Name:           magicos-scripts
Version:        0.0.1
Release:        %mkrel 7
License:        GPLv3+
URL:            https://code.google.com/p/magicos-soft
Group:          System/Base
Source0:        %{name}-%{version}.tar.gz
BuildArch:      noarch
Requires:       xterm
Requires:       kwrite
Requires:       pluma
Requires:       leafpad
Requires:       beesu
Requires:       dolphin
Requires:       caja
Requires:       pcmanfm
Requires:       gwenview
Requires:       eom
Requires:       gpicview
Requires:       zenity
Requires:       kdialog
Requires:       okular
Requires:       atril
Requires:       wireless-tools
Requires:       curl

%description
Different scripts (for distros based on MagicOS).

%prep
%setup -q

%build
# nothing

%install
mkdir -p %{buildroot}/usr/lib/magicos/scripts
cp -pfR ./scripts/* %{buildroot}/usr/lib/magicos/scripts/
cp -f functions %{buildroot}/usr/lib/magicos/

%post
PFP=etc/skel/.bash_profile
if [ -f "$PFP" ]
then
  if ! grep -q "/usr/lib/magicos/scripts" $PFP ;then
  sed -i s%^PATH=.*%'PATH=/usr/lib/magicos/scripts:$PATH:$HOME/bin\nXDG_CONFIG_HOME=$HOME/.config'% $PFP
    sed -i s%^'export PATH'.*%'export XDG_CONFIG_HOME\nexport PATH'% $PFP
    echo ulimit -c 0 >> $PFP
  fi
fi
PFP=root/.bashrc
if [ -f "$PFP" ]
then
  grep -q "/usr/lib/magicos/scripts" $PFP || sed -i s%^PATH=.*%'PATH=/usr/lib/magicos/scripts:/sbin:/usr/sbin:/bin:/usr/bin:/usr/X11R6/bin:/usr/local/bin:/usr/local/sbin'% $PFP
fi

%files
%doc AUTHORS
/usr/lib/magicos/scripts
/usr/lib/magicos/functions


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.0.1-7.mga10
+ Revision: 2214365
- Mageia 10 Mass Rebuild

* Mon Apr 04 2022 ns80 <ns80> 0.0.1-6.mga9
+ Revision: 1843605
- remove epdfview requirement as it is obsolete

* Sat Mar 19 2022 umeabot <umeabot> 0.0.1-5.mga9
+ Revision: 1801519
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.0.1-4.mga8
+ Revision: 1491369
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.0.1-3.mga7
+ Revision: 1263332
- Mageia 7 Mass Rebuild

* Tue Feb 09 2016 umeabot <umeabot> 0.0.1-2.mga6
+ Revision: 951886
- Mageia 6 Mass Rebuild

* Thu Jan 08 2015 alexl <alexl> 0.0.1-1.mga5
+ Revision: 809421
- imported package magicos-scripts

